Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002541Piwigoimage processingpublic2011.12.26 10:212012.01.02 23:19
Reporterplg 
Assigned Torvelices 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version2.4.0beta1Fixed in Version2.4.0beta1 
Summary0002541: multisize : many sizes for each photo
DescriptionPiwigo currently has 3 sizes for each photo : thumbnail, web size, high definition.

Let's move to a more flexible model : 1 original uploaded photo + N sizes.

The list must be customizable, but starts with default settings : square, thumbnail, small, medium, large, extra large
TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Files

- Relationships

-  Notes
(0005881)
svn (reporter)
2011.12.27 06:26

[Subversion] r12796 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2541 multisize
- core implementation + usage on most public/admin pages
- still to do: sync process, upload, gui/persistence for size parameters, migration script, center of interest ...
(0005882)
svn (reporter)
2011.12.27 21:26

[Subversion] r12797 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2541 multisize
- nicer presentation on picture.php
- added a maintenance purge derivatives action
(0005883)
svn (reporter)
2011.12.27 22:36

[Subversion] r12798 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2541: fix bug on PHPWG_ROOT_PATH and includes
(0005892)
svn (reporter)
2012.01.01 22:10

[Subversion] r12820 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2541 multisize
- admin GUI for choosing derivative parameters + persistence
(0005896)
svn (reporter)
2012.01.02 22:48

[Subversion] r12828 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2541: if we want multisize to work "as expected" the old "websize" must not be a resize.

We'll have to manage this a better way, this commit is mainly for tests on 2.4.0beta1
(0005897)
svn (reporter)
2012.01.02 23:05

[Subversion] r12829 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2541: "Derivatives" is a technical name. Replaced by "Multiple Size"
on administration screens. (and this screen may be move in the option "tabs",
we'll see later)
(0005898)
plg (manager)
2012.01.02 23:19

Even if this feature is not 100% finished, I close it to have a clean ChangeLog for Piwigo 2.4.0beta1. We'll create other feature requests for tasks related to multiple size.

- Issue History
Date Modified Username Field Change
2011.12.26 10:21 plg New Issue
2011.12.26 10:21 plg Status new => assigned
2011.12.26 10:21 plg Assigned To => rvelices
2011.12.26 10:21 plg browser => any
2011.12.26 10:21 plg Web server => Apache 1.3.x
2011.12.27 06:26 svn Checkin
2011.12.27 06:26 svn Note Added: 0005881
2011.12.27 21:26 svn Checkin
2011.12.27 21:26 svn Note Added: 0005882
2011.12.27 22:36 svn Checkin
2011.12.27 22:36 svn Note Added: 0005883
2012.01.01 22:10 svn Checkin
2012.01.01 22:10 svn Note Added: 0005892
2012.01.02 22:48 svn Checkin
2012.01.02 22:48 svn Note Added: 0005896
2012.01.02 23:05 svn Checkin
2012.01.02 23:05 svn Note Added: 0005897
2012.01.02 23:19 plg Note Added: 0005898
2012.01.02 23:19 plg Status assigned => closed
2012.01.02 23:19 plg Resolution open => fixed
2012.01.02 23:19 plg Fixed in Version => 2.4.0beta1


Copyright © 2000 - 2017 MantisBT Team
Contact
Powered by Mantis Bugtracker